> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tweet-catcher.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Task

> Activates a previously created (or stopped) task by its ID

Starting an already-running task is a no-op, it returns success without restarting it



## OpenAPI

````yaml /api-specification.yaml post /start-task
openapi: 3.0.3
info:
  title: Tweet Catcher Monitor API
  description: API for managing Tweet Catcher monitoring tasks and user data
  version: 1.0.0
  contact:
    name: Tweet Catcher
    url: https://dashboard.tweet-catcher.com/support
servers:
  - url: https://monitor-api.tweet-catcher.com/pro
    description: Production server
security:
  - ApiKeyToken: []
tags:
  - name: Manage Tasks
    description: Operations for managing Tweet Catcher monitoring tasks
  - name: User Data
    description: Operations for retrieving user-related data and history
paths:
  /start-task:
    post:
      tags:
        - Manage Tasks
      summary: Start Task
      description: >-
        Activates a previously created (or stopped) task by its ID


        Starting an already-running task is a no-op, it returns success without
        restarting it
      operationId: startTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: number
                  nullable: true
                  description: Task ID
                  example: 932
              required:
                - id
              description: Task identifier payload
              example:
                id: 932
            example:
              id: 932
      responses:
        '200':
          description: Task started successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    example: false
                    description: Whether an error occurred
                required:
                  - error
              example:
                error: false
        '400':
          description: Invalid request body or task not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    example: true
                    description: Whether an error occurred
                  message:
                    type: string
                    example: Error message
                    description: The error message
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    example:
                      email:
                        - Invalid module
                    description: The errors
                required:
                  - error
                  - message
              example:
                error: true
                message: Invalid request parameters
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    example: true
                    description: Whether an error occurred
                  message:
                    type: string
                    example: Error message
                    description: The error message
                required:
                  - error
                  - message
              example:
                error: true
                message: Invalid or missing authorization token
        '500':
          description: Unexpected server error
      security:
        - ApiKeyToken: []
components:
  securitySchemes:
    ApiKeyToken:
      type: apiKey
      in: header
      name: Authorization
      description: Api key for application authentication

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.